Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85787 - build from SRPM fails with missing file
Summary: build from SRPM fails with missing file
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-07 19:53 UTC by Heath Hendrickson
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-08 22:18:18 UTC


Attachments (Terms of Use)

Description Heath Hendrickson 2003-03-07 19:53:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
When trying to rebuild the updated sendmail 8.12.8 from the RH 8.0 SRPM on a
RH7.2 machine, the rpm build fails with:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.17079
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd sendmail-8.12.8
+ sed -e 's,%{_libdir},/usr/lib,g' -e 's,%{_lib},lib,g' redhat.config.m4.in
sed: can't read redhat.config.m4.in: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.17079 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.17079 (%build)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Download sendmail-8.12.8-1.80.src.rpm
2.  install SRPM
3.  modify spec file to make errata=72
4.  execute rpm -bb sendmail.spec
    

Actual Results:  error with:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.17079
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd sendmail-8.12.8
+ sed -e 's,%{_libdir},/usr/lib,g' -e 's,%{_lib},lib,g' redhat.config.m4.in
sed: can't read redhat.config.m4.in: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.17079 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.17079 (%build)


Expected Results:  produced necessary RPM files

Additional info:

Comment 1 Mark J. Cox 2003-03-08 22:18:18 UTC
The sendmail 8.12.8 Red Hat Linux 8.0 SRPM was not designed to be compiled for
Red Hat Linux 7.2 and therefore quite likely would need further work to make it
work.

Comment 2 Florian La Roche 2003-03-08 22:37:02 UTC
http://people.redhat.com/laroche/ has an updated rpm that should also compile
on older releases.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.